Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.data
Class DataViewAuditDetailService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
          com.tibco.bpm.web.client.services.client.data.DataViewAuditDetailService

    public class DataViewAuditDetailService

extends AbstractDataClientService

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
`BASE_URL, XMLFRAGMENT`

Constructor Summary
`DataViewAuditDetailService()`

Method Summary
`static DataViewAuditDetailService` | `getInstance()`
`void` | `getSearchCaseReport(java.lang.String globalDataRef, int startPosition, int numberOfItems, com.google.gwt.user.client.rpc.AsyncCallback<GetSearchCaseReportResponse> callback)`

Methods inherited from class com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
`cleanseResponse, getHeaders, getServiceURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataViewAuditDetailService

    public DataViewAuditDetailService()

Method Detail

### getInstance

    public static DataViewAuditDetailService getInstance()

### getSearchCaseReport

    public void getSearchCaseReport(java.lang.String globalDataRef,
                                    int startPosition,
                                    int numberOfItems,
                                    com.google.gwt.user.client.rpc.AsyncCallback<GetSearchCaseReportResponse> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.